{
    "env": {
        "es2021": true,
        "node": true,
        "jest/globals": true,
        "detox/detox": true
    },
    "extends": [
        "plugin:react/recommended",
        "airbnb",
        "airbnb/hooks"
    ],
    "parserOptions": {
        "ecmaFeatures": {
            "jsx": true
        },
        "ecmaVersion": "latest",
        "sourceType": "module"
    },
    "plugins": [
        "react",
        "react-native",
        "jest",
        "detox"
    ],
    "rules": {
         // allow .js files to contain JSX code
         "react/jsx-filename-extension": [1, { "extensions": [".js", ".jsx"] }],
            
         // prevent eslint to complain about the "styles" variable being used before it was defined
         "no-use-before-define": ["error", { "variables": false }],
 
         // ignore errors for the react-navigation package
         "import/prefer-default-export": "off",
         "react/prop-types": 0,
         "import/no-extraneous-dependencies": ["error", {"devDependencies": true}]
       

    }
}
